.algolia-search {
  padding-block: 6rem;
  max-width: 130rem;
  margin-inline: auto;

  @media screen and (max-width: 1350px) {
    padding-inline: 8vw;
  }

  .ais-RefinementList--noRefinement::after {
    content: 'N/A';
    font-size: 2rem;
    padding-left: 1.8rem;
    font-weight: 500;
  }

  #algolia-search-page-search-box {

    & form {
      margin-bottom: 5rem;
      display: flex;
      align-items: center;

      .ais-SearchBox-reset {
        right: 1.5rem;
      }
    }

  }
  .staff-name {
    margin-block: 1rem 0.5rem;
  }

  .staff-job-title {
    font-size: 1.4rem;
    text-transform: uppercase;
    font-weight: 600;
  }

  :where(.industries-facet, .services-facet) {
    display: none;
  }

  .ais-SearchBox-input {
    height: 6rem;
    padding-inline: 4rem;
    width: 100%;
    font-size: 2.4rem;
    margin-inline: auto;
    outline: var(--color-figcaption) solid 1px;
    color: var(--color-primary-dark-gray);
  }


}

.search-box-container {

}
.algolia-search .ais-SearchBox-form {
  display: flex;
  margin-inline: auto;
  max-width: 75rem;
  .ais-SearchBox-submit {
    display: none;
  }
}


.algolia-search-page-results-wrapper {
  display: grid;
  grid-template-columns: 20rem 3fr;
  gap: 4rem;
  margin-top: 6rem;


  @media screen and (max-width: 1300px) {
    display: flex;
    flex-flow: column;
    gap: 2rem;
  }


  img {
    max-width: 100%;
  }

  :where(
  .page-results-container,
  .case-studies-results-container,
  .staff-results-container,
  .insights-results-container
  ) {
    display: none;
  }

  .industries-facet-accordion,
  .services-facet-accordion,
  .type-facet-accordion,
  .topic-facet-accordion {
    display: none;
  }


  &[data-facet-type="all"] {
    display: block;
    .facet-header {
      display: flex;
    }
    :where(.page-results-container, .case-studies-results-container, .staff-results-container, .insights-results-container) {
      display: block;
    }

    .algolia-search-page-facets-container {
      display: none;
    }

  }

  &[data-facet-type="page"] {
    display: block;

    .algolia-pagination-container.algolia-search-page-pagination {
      display: block;
    }
    :where(.page-results-container) {
      display: block;
    }
    .algolia-search-page-facets-container {
      display: none;
    }
  }

  &[data-facet-type="case_study"] {
    .algolia-pagination-container.algolia-search-case-study-pagination {
      display: block;
    }

    .facet-case-study-industries,
    .facet-case-study-services {
      display: block;
    }


    :where(
    .case-studies-results-container,
    .industries-facet-accordion,
    .services-facet-accordion
    ) {
      display: block;
    }
  }
  &[data-facet-type="staff"] {
    :where(
    .staff-results-container,
    .services-facet-accordion,
    .industries-facet-accordion) {
      display: block;
    }
    .algolia-pagination-container.algolia-search-staff-pagination {
      display: block;
    }

    .facet-staff-industries,
    .facet-staff-services {
      display: block;
    }


  }
  &[data-facet-type="article"] {
    :where(
    .type-facet-accordion,
    .topic-facet-accordion,
    .insights-results-container) {
      display: block;
    }

    .algolia-pagination-container.algolia-search-insights-pagination {
      display: block;
    }


  }

  .algolia-grouped-search-results-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
    max-width: 100%;
    overflow: hidden;

    @media screen and (max-width: 800px) {
      grid-template-columns: repeat(2, 1fr);
    }

    @media screen and (max-width: 550px) {
      grid-template-columns: 1fr;
    }

  }


  &:not([data-facet-type="all"], [data-facet-type="page"]) {
    .algolia-grouped-search-results-container {
      grid-template-columns: repeat(3, 1fr);
      @media screen and (max-width: 800px) {
        grid-template-columns: repeat(2, 1fr);
      }

      @media screen and (max-width: 550px) {
        grid-template-columns: 1fr;
      }
    }
  }

}

.post-type-refinement-buttons {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-flow: row wrap;
  gap: 4rem;

  .tab {
    border: none;
    background: 0 0;
    font-family: var(--font-headline);
    font-size: 2.6rem;
    font-weight: 600;
    padding-bottom: .5rem;

    &.active {
      border-bottom: 2px solid var(--color-primary-red);
      padding-bottom: .3rem;
    }

    &:hover {
      border-bottom: 2px solid var(--color-primary-blue);
      padding-bottom: .3rem;
    }

  }
}


.algolia-grouped-results > div {
  margin-block: 2rem 6rem;
}

.grouped-results-container:not(:has(.single-search-result)) {
  display: none;
}

.grouped-results-container:not(:has(.single-search-result:nth-child(4))) {
  .see-more-button {
    display: none;
  }
}

:where(.facet-header) {
  display: none;
  flex-flow: row wrap;
  justify-content: space-between;
  align-items: flex-start;

  .see-more-button {
    height: 4.4rem;
    padding: 1rem 2rem;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 2rem;
    margin-inline: 0;
  }
}
.hidden {
  display: none !important;
}

.algolia-search-page-facets-container {

  details summary::-webkit-details-marker {
    display:none;
  }

  .plus {
    svg {
      width: 2rem;
      height: 2rem;
      margin-right: 1rem;
      transition: all .2s ease-in-out;
    }
  }

  & details[open] .plus svg {
    transform: rotate(45deg);
    stroke: var(--color-primary-dark-gray);
  }

}

.algolia-search .ais-RefinementList-labelText {
  margin-left: 0.5rem;
}
.algolia-search .ais-RefinementList-labelText,
.algolia-search .ais-RefinementList-count {
  font-size: 1.4rem;
  background: none;
  min-width: fit-content;
  display: inline-block;

  &:hover {
    cursor: pointer;
  }
}
.algolia-search .ais-RefinementList-item {
  margin-block: 2rem;
}

.algolia-search .single-search-result h3 {
  font-size: 2rem;
  font-family: var(--font-headline), 'sans-serif';
  font-weight: 700;
  line-height: 1.4;
  margin-top: 1rem;
}

.algolia-search .ais-RefinementList-count {
  &::before {
    display: inline-block;
    width: fit-content;
    height: fit-content;
    content: '('
  }
  &::after {
    display: inline-block;
    width: fit-content;
    height: fit-content;
    content: ')'
  }
}


.algolia-search details {
  border: none;

  & > summary {
    font-weight: 600;
  }

  & > .content-area {
    padding-left: 2rem;
  }


}
.algolia-pagination-container {
  display: none;
  margin-top: 6rem;

  &.algolia-search-all-pagination {
    display: block;
  }
  .ais-Pagination {
    display: flex;
    justify-content: center;
    gap: 5px;

    .ais-Pagination-item--selected {
      text-decoration: underline;
      pointer-events: none;
    }


    .ais-Pagination-link {
      background: none;
      color: var(--color-primary-dark-gray);
      font-size: 2rem;
      border: none;
      transition: all 250ms ease-in-out;

      &:hover {
        background: #e3e5ec;
      }


    }
  }
}

.single-search-result {
  text-decoration: none;
  &:hover {
    text-decoration: none;
  }
}
